Bug 197952 - cluster mirror creation fails due to an inablity to connect to cluster infrastructure
Summary: cluster mirror creation fails due to an inablity to connect to cluster infras...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: cmirror (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Jonathan Earl Brassow
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 180185
TreeView+ depends on / blocked
 
Reported: 2006-07-07 15:58 UTC by Corey Marthaler
Modified: 2010-04-27 14:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 14:55:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Corey Marthaler 2006-07-07 15:58:08 UTC
Description of problem:
I have been able to reproduce again this by just creating and deleting cluster
mirrors in a loop.

while true; do lvcreate -m 1 -n cmirror1 -L 100M B; lvremove -f /dev/B/cmirror1;
done

This probably should be a blocker.

 Error locking on node taft-03: Internal lvm error, check syslog
  Failed to activate new LV.
  Logical volume "cmirror1" successfully removed
  Error locking on node taft-01: Command timed out
  Failed to activate new LV.

device-mapper: Couldn't register clustered_log service
device-mapper: Unable to connect to cluster infrastructure.
device-mapper: dm-mirror: Error creating mirror dirty log
device-mapper: error adding target to table

I hope to provide more information on this issue...


Version-Release number of selected component (if applicable):
[root@taft-02 ~]# rpm -q lvm2
lvm2-2.02.06-4.0.RHEL4
[root@taft-02 ~]# rpm -q lvm2-cluster
lvm2-cluster-2.02.06-4.0.RHEL4
[root@taft-02 ~]# rpm -q cmirror
cmirror-1.0.0-5
[root@taft-02 ~]# rpm -q device-mapper
device-mapper-1.02.07-3.0.RHEL4
[root@taft-02 ~]# uname -ar
Linux taft-02 2.6.9-39.1.ELsmp #1 SMP Fri Jun 16 16:47:43 EDT 2006 x86_64 x86_64
x86_64 GNU/Linux

Comment 1 Corey Marthaler 2006-07-07 16:02:57 UTC
Putting on blocker list for RHGFS 4.4 release.

Comment 2 Jonathan Earl Brassow 2006-07-07 17:02:34 UTC
fix checked in.  You may have to wait for a package rebuild.


Comment 3 Corey Marthaler 2006-08-03 15:47:56 UTC
This issue appears to be fixed.

Comment 5 Alasdair Kergon 2010-04-27 14:55:33 UTC
Assuming this VERIFIED fix got released.  Closing.
Reopen if it's not yet resolved.


Note You need to log in before you can comment on or make changes to this bug.